version: '3.8'

services:
  nginx:
    image: webserver
    container_name: webserver
    restart: unless-stopped
    expose:
      - 80
    ports:
      - 8080:80
    networks:
      - internal
    volumes:
       - ./mykeys:/etc/ssh/mykeys

  gitserver:
    build: gitserver/.
    volumes:
      - git_data:/git
      - ./mykeys:/etc/ssh/mykeys
    ports:
      - "3432:22"
    networks:
      - internal


  ubuntu:
    build: ubuntu/.
    volumes:
      - ./mykeys:/etc/ssh/mykeys
    networks:
      - internal



networks:
  internal:
    enable_ipv6: false

secrets:
   id_rsa:
     file: ./mykeys/private


volumes:
  git_data:
